import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { getControl } from 'handie-vue';
import { DateFieldStructuralWidget } from 'handie-vue/dist/widgets';
import { getPickerOption } from '../../../../utils';
let DateTimeRangeEditDateFieldWidget = class DateTimeRangeEditDateFieldWidget extends DateFieldStructuralWidget {
    render(h) {
        return h(getControl('DateTimeRangePicker'), {
            props: {
                value: this.getRangeValue(),
                placeholder: this.getRangePlaceholders(),
                disabled: this.disabled,
                format: this.getDisplayFormat(),
                separator: this.getSeparator(),
                pickerOption: getPickerOption(this.getRangeValue(), this.config, this.$$view.getValue()),
            },
            on: { change: (_, dates) => this.onRangeChange(dates) },
        });
    }
    created() {
        this.setDefaultFormat(this.getCommonBehavior('field.dateTimeFormat'));
    }
};
DateTimeRangeEditDateFieldWidget = __decorate([
    Component
], DateTimeRangeEditDateFieldWidget);
export default DateTimeRangeEditDateFieldWidget;
