import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { isNumber, getControl } from 'handie-vue';
import { TextFieldStructuralWidget } from 'handie-vue/dist/widgets';
import { getStringInputtableControlProps } from '../../../../utils';
import defaultBehaviors from './behavior';
let TextareaEditTextFieldWidget = class TextareaEditTextFieldWidget extends TextFieldStructuralWidget {
    created() {
        this.setBehaviors('field.textarea', defaultBehaviors);
    }
    render(h) {
        let showWordLimit = this.config.showWordLimit;
        if (showWordLimit === undefined) {
            showWordLimit = this.getBehavior('showWordLimit');
        }
        const props = {
            ...getStringInputtableControlProps(this),
            rows: this.config.rows || this.getBehavior('rows'),
            resize: 'none',
        };
        if (this.showValidationRulesAsNative && isNumber(this.field.max)) {
            props.showWordage = showWordLimit;
        }
        return h(getControl('TextArea'), { props, on: { input: this.onChange } });
    }
};
TextareaEditTextFieldWidget = __decorate([
    Component
], TextareaEditTextFieldWidget);
export default TextareaEditTextFieldWidget;
