import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { isString, isComponentCtor } from 'handie-vue';
import { DialogViewStructuralWidget } from 'handie-vue/dist/widgets';
let DialogViewWidget = class DialogViewWidget extends DialogViewStructuralWidget {
    render(h) {
        const { $$child } = this.config;
        let resolvedChildren;
        if ($$child === undefined) {
            resolvedChildren = this.$slots.default;
        }
        else if (isComponentCtor($$child)) {
            resolvedChildren = [h($$child)];
        }
        else if (isString($$child)) {
            // TODO: use `ViewRenderer`
        }
        return this.renderDialog({
            className: this.getStyleClassName('DialogViewWidget'),
            actionBarClassName: this.getStyleClassName('DialogViewWidget-actionBar'),
            children: resolvedChildren,
        });
    }
    created() {
        this.setStyleClassNames(this.$style);
    }
};
DialogViewWidget = __decorate([
    Component
], DialogViewWidget);
export default DialogViewWidget;
