import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { getRenderer, resolveSafePropsFromConfig } from 'handie-vue';
import { DialogViewStructuralWidget } from 'handie-vue/dist/widgets';
import { isOpenerInlineObjectView } from './helper';
let FormDialogViewWidget = class FormDialogViewWidget extends DialogViewStructuralWidget {
    get dialogTitle() {
        const { title, moduleLabel } = this.config;
        if (title) {
            return title;
        }
        return moduleLabel
            ? `${isOpenerInlineObjectView(this.$$view.getOpener()) ? '修改' : '新增'}${moduleLabel}`
            : '';
    }
    render(h) {
        return this.renderDialog({
            className: this.getStyleClassName('FormDialogViewWidget'),
            actionBarClassName: this.getStyleClassName('FormDialogViewWidget-actionBar'),
            actionText: { submitActionText: '确定' },
            children: [
                h(getRenderer('FormRenderer'), {
                    props: {
                        fields: this.fields,
                        value: this.value,
                        validation: this.validation,
                        config: {
                            formControlLabelWidth: 90,
                            formControlSize: 'small',
                            ...resolveSafePropsFromConfig(this.config, ['moduleLabel']),
                        },
                    },
                    on: { change: this.onFieldValueChange },
                }, this.$slots.default),
            ],
        });
    }
    created() {
        this.setStyleClassNames(this.$style);
    }
};
FormDialogViewWidget = __decorate([
    Component
], FormDialogViewWidget);
export default FormDialogViewWidget;
